Search for test

  1. Search 7.x for test
  2. Search 8.9.x for test
  3. Search 10.3.x for test
  4. Search 11.x for test
  5. Search main for test
  6. Other projects

Exact matches

These are exact matches according to your search
Title Object type File name Summary
Test class core/modules/media/tests/modules/media_test_source/src/Plugin/media/Source/Test.php Provides test media source.
Test class core/modules/system/tests/modules/test_page_test/src/Controller/Test.php Defines a test controller for page titles.

All search results

Title Object type File name Summary
NameMungingTest::setUp function core/tests/Drupal/KernelTests/Core/File/NameMungingTest.php
NameMungingTest::testMungeIgnoreAllowedExtensions function core/tests/Drupal/KernelTests/Core/File/NameMungingTest.php Tests that allowed extensions are ignored by file_munge_filename().
NameMungingTest::testMungeIgnoreInsecure function core/tests/Drupal/KernelTests/Core/File/NameMungingTest.php Test munging with system.file.allow_insecure_uploads set to true.
NameMungingTest::testMungeNullByte function core/tests/Drupal/KernelTests/Core/File/NameMungingTest.php Tests munging with a null byte in the filename.
NameMungingTest::testMungeUnsafe function core/tests/Drupal/KernelTests/Core/File/NameMungingTest.php Tests unsafe extensions are always munged by file_munge_filename().
NameMungingTest::testMunging function core/tests/Drupal/KernelTests/Core/File/NameMungingTest.php Create a file and munge/unmunge the name.
NameMungingTest::testUnMunge function core/tests/Drupal/KernelTests/Core/File/NameMungingTest.php Ensure that unmunge gets your name back.
NegotiationMiddlewareTest class core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php @coversDefaultClass \Drupal\Core\StackMiddleware\NegotiationMiddleware[[api-linebreak]]
@group NegotiationMiddleware
NegotiationMiddlewareTest.php file core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Contains \Drupal\Tests\Core\StackMiddleware\NegotiationMiddlewareTest.
NegotiationMiddlewareTest::$app property core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php
NegotiationMiddlewareTest::$contentNegotiation property core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php
NegotiationMiddlewareTest::setUp function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php
NegotiationMiddlewareTest::testAjaxIframeUpload function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Tests the getContentType() method with AJAX iframe upload.
NegotiationMiddlewareTest::testFormatViaQueryParameter function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Tests the specifying a format via query parameters gets used.
NegotiationMiddlewareTest::testHandle function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Tests that handle() correctly hands off to sub application.
NegotiationMiddlewareTest::testSetFormat function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php @covers ::registerFormat[[api-linebreak]]
NegotiationMiddlewareTest::testUnknownContentTypeButAjaxRequest function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Tests the getContentType() method when no priority format is found but it's an AJAX request.
NegotiationMiddlewareTest::testUnknownContentTypeReturnsNull function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Tests the getContentType() method when no priority format is found.
NestedArrayTest class core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php @coversDefaultClass \Drupal\Component\Utility\NestedArray[[api-linebreak]]
@group Utility
NestedArrayTest.php file core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php
NestedArrayTest::$form property core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php Form array to check.
NestedArrayTest::$parents property core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php Array of parents for the nested element.
NestedArrayTest::providerTestFilter function core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php
NestedArrayTest::setUp function core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php
NestedArrayTest::testFilter function core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php @covers ::filter[[api-linebreak]]
@dataProvider providerTestFilter
NestedArrayTest::testGetValue function core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php Tests getting nested array values.
NestedArrayTest::testKeyExists function core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php Tests existence of array key.
NestedArrayTest::testMergeDeepArray function core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php Tests NestedArray::mergeDeepArray().
NestedArrayTest::testMergeExplicitKeys function core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php Tests that even with explicit keys, values are appended, not merged.
NestedArrayTest::testMergeImplicitKeys function core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php Tests that arrays with implicit keys are appended, not merged.
NestedArrayTest::testMergeOutOfSequenceKeys function core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php Tests that array keys values on the first array are ignored when merging.
NestedArrayTest::testSetValue function core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php Tests setting nested array values.
NestedArrayTest::testSetValueForce function core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php Tests force-setting values.
NestedArrayTest::testUnsetValue function core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php Tests unsetting nested array values.
NestedEntityTestForm class core/modules/field/tests/modules/field_test/src/Form/NestedEntityTestForm.php Provides a form for field_test routes.
NestedEntityTestForm.php file core/modules/field/tests/modules/field_test/src/Form/NestedEntityTestForm.php
NestedEntityTestForm::buildForm function core/modules/field/tests/modules/field_test/src/Form/NestedEntityTestForm.php Form constructor.
NestedEntityTestForm::getFormId function core/modules/field/tests/modules/field_test/src/Form/NestedEntityTestForm.php Returns a unique string identifying the form.
NestedEntityTestForm::submitForm function core/modules/field/tests/modules/field_test/src/Form/NestedEntityTestForm.php Form submission handler.
NestedEntityTestForm::validateForm function core/modules/field/tests/modules/field_test/src/Form/NestedEntityTestForm.php Form validation handler.
NestedFormTest class core/modules/field/tests/src/Functional/NestedFormTest.php Tests field elements in nested forms.
NestedFormTest.php file core/modules/field/tests/src/Functional/NestedFormTest.php
NestedFormTest::$defaultTheme property core/modules/field/tests/src/Functional/NestedFormTest.php The theme to install as the default for testing.
NestedFormTest::$field property core/modules/field/tests/src/Functional/NestedFormTest.php
NestedFormTest::$fieldStorageSingle property core/modules/field/tests/src/Functional/NestedFormTest.php
NestedFormTest::$fieldStorageUnlimited property core/modules/field/tests/src/Functional/NestedFormTest.php
NestedFormTest::$modules property core/modules/field/tests/src/Functional/NestedFormTest.php Modules to enable.
NestedFormTest::setUp function core/modules/field/tests/src/Functional/NestedFormTest.php
NestedFormTest::testNestedEntityFormEntityLevelValidation function core/modules/field/tests/src/Functional/NestedFormTest.php Tests entity level validation within subforms.
NestedFormTest::testNestedFieldForm function core/modules/field/tests/src/Functional/NestedFormTest.php Tests Field API form integration within a subform.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.